.footer {
    padding-block: 50px;
}
.header__logo.header__logo_bottom{
    text-align: start;
}
.footer__row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 30px;
}
.soc__links {
  display: flex;
  gap: 10px;
}

.soc__link {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 46px;
  height: 46px;
  background-color: #222222;
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  transition: background-color .3s;
  -webkit-transition: background-color .3s;
  -moz-transition: background-color .3s;
  -ms-transition: background-color .3s;
  -o-transition: background-color .3s;
}

.soc__link::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: inherit;
  background: #fff;
  transform: scale(0);
  transform-origin: 50% 50%;
  transition: transform .35s cubic-bezier(.2, .8, .2, 1);
}

.soc__link svg {
  position: relative;
  z-index: 1;
}

.soc__link svg path {
  fill: #fff;
  transition: fill .4s ease-in-out;
  -webkit-transition: fill .4s ease-in-out;
  -moz-transition: fill .4s ease-in-out;
  -ms-transition: fill .4s ease-in-out;
  -o-transition: fill .4s ease-in-out;
}

@media (hover: hover) {
  .soc__link:hover::before,
  .soc__link:focus-visible::before {
    transform: scale(1.05);
    -webkit-transform: scale(1.05);
    -moz-transform: scale(1.05);
    -ms-transform: scale(1.05);
    -o-transform: scale(1.05);
  }

  .soc__link:hover svg path,
  .soc__link:focus-visible svg path {
    fill: #222222;
  }
}